/* 
    タイトル、テキスト、簡単なボタン（複雑なボタンはcomponents.css）など
    単一の要素の設定
*/

.title {
    width: 100%;
    font-size: var(--fontsize-xlarge);
    text-align: left;
}

.title-en {
    width: 100%;
    font-size: var(--fontsize-medium);;
    text-align: left;
    color: var(--gray);
}

.subTitle {
    width: 100%;
    font-size: var(--fontsize-large);
    text-align: left;
}

.textBox {
    width: 100%;
}

.text {
    width: 100%;
    font-size: var(--fontsize-medium);
}

.imgBox {
    width: 100%;
}

.img {
    width: 100%;
}

@media screen and (max-width: 599px) {
    
    .title {
        font-size: var(--fontsize-large);
    }

    .subTitle {
        width: 100%;
        font-size: var(--fontsize-xmedium);
        text-align: left;
    }
}

.border-inline {
    width: 100%;
    height: 1px;
    background-color: var(--lightgray-bright);
    margin-left: 12px;
    margin-right: 12px;
}

/* アンダーライン */

.underline-primaryBlandColor {
    background-image: linear-gradient(transparent 60%, var(--primary-bland-color) 0%);
}

.underline-secondaryBlandColor {
    background-image: linear-gradient(transparent 60%, var(--secondary-bland-color) 0%);
}

.underline-accentColor {
    background-image: linear-gradient(transparent 60%, var(--accent-color) 0%);
}

.underline-yellow {
    background-image: linear-gradient(transparent 60%, var(--yellow) 0%);
}

/* ボタン */
.button {
    display: inline-block;
    width: 100%;
    font-size: var(--fontsize-large);
    color: var(--white);
    background-color: var(--primary-bland-color);
    padding: 0.5em 1em;
    text-align: center;
    box-shadow: 0 4px 0 var(--primary-bland-color-lightbright);
}

.menuList {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}

.menuItem {
    display: inline-block;
    flex-shrink: 0;
}

.menuShortcutButton {
    display: inline-block;
    color: var(--white);
    background-color: var(--primary-bland-color);
    padding: 0.5em;
    filter: drop-shadow(4px 4px var(--primary-bland-color-bright));
}

.outlineButton {
    display: inline-block;
    width: 100%;
    /* max-width: 340px; */
    padding: 0.5em 1em;
    font-size: var(--fontsize-medium);
    font-weight: bold;
    text-align: center;
    /* border-radius: 9999px; */
    /* border: 1px solid var(--primary-bland-color); */
    /* color: var(--primary-bland-color); */
    background-color: var(--white);
    /* filter: drop-shadow(2px 4px var(--primary-bland-color-bright-outline)); */
}

.arrowButton {
    display: inline-block;
    width: 100%;
    font-size: 2.4rem;
    background-color: var(--primary-bland-color);
    padding: 0.5em 1em;
    text-align: center;
    color: var(--white);
    position: relative;
    box-shadow: 0 4px 0 var(--primary-bland-color-bright);
} 

.arrowButton::after {
    content: '';
    width: 12px;
    height: 12px;
    border: 0;
    /* border-top: solid 2px var(--secondary-bland-color);
    border-right: solid 2px var(--secondary-bland-color); */
    border-top: solid 2px var(--white);
    border-right: solid 2px var(--white);
    position: absolute;
    top: 50%;
    right: 24px;
    transform: translateY(-50%) rotate(45deg);
}

.arrow3Button {
    display: inline-block;
    position: relative;
    width: 100%;
    padding: 0.5em 1em;
    font-size: 2.4rem;
    /* font-weight: bold; */
    text-align: center;
    background: var(--primary-bland-color);
    color: var(--white);
    box-shadow: 0 4px 0 var(--primary-bland-color-bright);
}

.arrow3Button::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(-100%, -50%);
    width: 24px;
    height: 24px;
    background-image: url(/img/icon-arrow-right-white.png);
    background-size: contain;
    background-repeat: no-repeat;
}

@media screen and (max-width: 599px) {
    /* 599pxまでの幅の場合に適応される */
    .button {
        font-weight: 1.8rem;
    }

    .arrowButton {
        font-weight: 1.8rem;
    } 

    .arrow3Button {
        font-weight: 1.8rem;
    }

    .menuShortcutButton {
        font-size: var(--fontsize-small);
    }
}

/* 吹き出し */

.fukidashi-left,
.fukidashi-right,
.fukidashi-top,
.fukidashi-bottom {
    padding: 0.5em 1em;
    position: relative;
}

.fukidashi-left::before {
    position: absolute;
    display: block;
    content: '';
    bottom: 50%;
    left: 0;
    transform: translate(-100%, 50%); 
    width: 0;
    height: 0;
    border-color: transparent var(--white) transparent transparent;
    border-width: 15px 18px 15px 0;
    border-style: solid;
}

.fukidashi-right:after {
    position: absolute;
    display: block;
    content: "";
    bottom: 50%;
    right: 0;
    transform: translate(100%, 50%);
    width: 0;
    height: 0;
    border-color: transparent transparent transparent var(--white);
    border-width: 15px 0 15px 18px;
    border-style: solid;
}

.fukidashi-top:before {
    position: absolute;
    display: block;
    content: "";
    top: 0;
    left: 50%;
    transform: translate(-50%, -100%);
    width: 0;
    height: 0;
    border-color: transparent transparent var(--white) transparent;
    border-width: 0 15px 18px 15px;
    border-style: solid;
}

.fukidashi-bottom:after {
    position: absolute;
    display: block;
    content: "";
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 100%);
    width: 0;
    height: 0;
    border-color: var(--white) transparent transparent transparent;
    border-width: 18px 15px 0 15px;
    border-style: solid;
}

.numberOne::before {
    position: absolute;
    display: block;
    content: "１番人気";
    top: 12px;
    left: -12px;
    padding: 16px;
    background: linear-gradient(135deg, #b58a3b, #e2c275);
    color: var(--white);
    font-size: var(--fontsize-medium);
    font-weight: bold;
    letter-spacing: 1px;

    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
    z-index: 100;
}

.numberTwo::before {
    position: absolute;
    display: block;
    content: "２番人気";
    top: 12px;
    left: -12px;
    padding: 16px;
    background: linear-gradient(135deg, #b5b5b5, #d0d0d0);
    color: var(--white);
    font-size: var(--fontsize-medium);
    font-weight: bold;
    letter-spacing: 1px;

    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
    z-index: 100;
}

.numberThree::before {
    position: absolute;
    display: block;
    content: "３番人気";
    top: 12px;
    left: -12px;
    padding: 16px;
    background: linear-gradient(135deg, #d4a373 , #e1b382);
    color: var(--white);
    font-size: var(--fontsize-medium);
    font-weight: bold;
    letter-spacing: 1px;

    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
    z-index: 100;
}


/* 背景 */

.imgSeparator {
    position: relative;
    overflow: hidden;
    height: 400px;
    background-image: url(/img/img-separator.jpg);
    background-position: center 64%;
    background-repeat: no-repeat;
    background-size: cover;
    /* margin-top: 60px; */
}

/* .imgSeparator::before {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -2;
    content: "";
    width: 100%;
    height: 100%;
    background-image: url(/img/img-separator.jpg);
    background-position: left top;
    background-repeat: no-repeat;
    background-size: cover;
} */

@media screen and (max-width: 1024px) {
    /* 1024pxまでの幅の場合に適応される */
    .imgSeparator {
        height: 400px;
    }

    .imgSeparator::before {
        background-position: 60% bottom;
    }
}

@media screen and (max-width: 599px) {
    /* 599pxまでの幅の場合に適応される */
    .imgSeparator {
        height: 240px;
        margin-top: 0;
    }

    .imgSeparator::before {
        background-image: url(/img/bg-imgSpacer-sp.jpg);
        /* background-size: contain; */
    }
}